### Method

# Xdp Portal dynamic_launcher_get_desktop_entry

#### Declaration [src]

    char*
    xdp_portal_dynamic_launcher_get_desktop_entry (
      XdpPortal* portal,
      const char* desktop_file_id,
      GError** error
    )

#### Description [src]

This function gets the contents of a .desktop file that was previously installed by the dynamic launcher portal.

The `desktop_file_id` must be prefixed with the caller’s app ID followed by a “.” and suffixed with “.desktop”.

#### Parameters

`desktop_file_id`

  Type: `const char*`

  The .desktop file name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

The contents of the desktop file, or `NULL` with `error` set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.